Bug 732278 - dracut-013+ console is capable of going into an inconsistent state (various scenarios, plymouth)
Summary: dracut-013+ console is capable of going into an inconsistent state (various s...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: dracut
Version: 19
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: dracut-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-21 15:10 UTC by Leho Kraav
Modified: 2013-05-29 13:36 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-29 13:36:00 UTC


Attachments (Terms of Use)
cmdline += rd.shell rd.break rd.debug splash (22.29 KB, image/png)
2011-08-21 15:10 UTC, Leho Kraav
no flags Details
cmdline += rd.shell rd.break rd.debug rd.plymouth=0 (21.11 KB, image/png)
2011-08-21 15:16 UTC, Leho Kraav
no flags Details
02-rd.plymouth-0-fail-init.log.png (15.24 KB, image/png)
2011-08-21 15:18 UTC, Leho Kraav
no flags Details
03-long-passwords-fail.png (23.38 KB, image/png)
2011-08-21 17:43 UTC, Leho Kraav
no flags Details

Description Leho Kraav 2011-08-21 15:10:35 UTC
Created attachment 519185 [details]
cmdline += rd.shell rd.break rd.debug splash

Description of problem:
console goes into inconsistent state depending on various kernel parameters.


Version-Release number of selected component (if applicable):
013+, git HEAD


How reproducible:
Every time


Steps to Reproduce:
1. cmdline += $(see screenshot attachment descriptions for individual cmdlines)
2. see plymouth splash, enter password for unlocking root
3. wait to drop to shell -> switch_root:/#
4. start typing into shell
  
Actual results:
all sorts of garbled display

Expected results:
normal shell behavior

Comment 1 Leho Kraav 2011-08-21 15:16:27 UTC
Created attachment 519186 [details]
cmdline += rd.shell rd.break rd.debug rd.plymouth=0

with rd.plymouth=0, self created password prompts do not becomes visible. user has to enter password blind to proceed.

Comment 2 Leho Kraav 2011-08-21 15:18:01 UTC
Created attachment 519187 [details]
02-rd.plymouth-0-fail-init.log.png

init.log shows that printf for Password is indeed called, but loginit is redirecting it's output somewhere else.

Comment 3 Leho Kraav 2011-08-21 15:32:57 UTC
loginit's behavior is strange in the regard that specifying rd.debug will only cause debug output to be shown on console until loginit is called. after that everything goes only into /run/initramfs/init.log.

yet specifying cmdline += "rd.debug quiet" will cause all debug output to be shown on console. "quiet" in this case seems to equal *more* output instead of less. that makes no sense.

printf password prompt is shown correctly when removing "rd.debug" from cmdline.

Comment 4 Leho Kraav 2011-08-21 17:43:12 UTC
Created attachment 519197 [details]
03-long-passwords-fail.png

found another bug. with long passwords and a vconsole.font that cannot fit all asterisks on single line, dracut will print an extra prompt line for every asterisk that goes over the line length limit.

Comment 5 Fedora Admin XMLRPC Client 2011-10-20 16:19:07 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 6 Harald Hoyer 2012-07-03 07:53:44 UTC
(In reply to comment #4)
> Created attachment 519197 [details]
> 03-long-passwords-fail.png
> 
> found another bug. with long passwords and a vconsole.font that cannot fit
> all asterisks on single line, dracut will print an extra prompt line for
> every asterisk that goes over the line length limit.

This would be a bug in cryptsetup.

Comment 7 Fedora End Of Life 2013-04-03 14:40:09 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 8 Harald Hoyer 2013-05-29 13:36:00 UTC
should be fixed in current dracut

Please reopen, if this is still an issue.


Note You need to log in before you can comment on or make changes to this bug.